Bug 1130467 - HA fix ACL notice log message about accounting for TX queues.
Summary: HA fix ACL notice log message about accounting for TX queues.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: 3.0
: ---
Assignee: Alan Conway
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Depends On:
Blocks: 923985
TreeView+ depends on / blocked
 
Reported: 2014-08-15 10:15 UTC by Alan Conway
Modified: 2015-11-16 01:16 UTC (History)
4 users (show)

Fixed In Version: qpid-cpp-0.22-47
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Alan Conway 2014-08-15 10:15:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

Start a HA cluster with >1 member

qpid-send --tx 1 -a 'qq;{create:always}' -b localhost:6000

Actual results:

Primary broker log contains
2014-08-15 11:19:27 [Security] notice ACL resource counter: Queue 'qpid.ha-tx:3ba46af9-e37c-40f1-ae7f-1bdd8fdf19ea' not found in queue owner map
2014-08-15 11:19:27 [Security] notice ACL resource counter: Queue 'qpid.ha-tx:2e2de2d4-d7b0-48b5-8fac-7f2680916106' not found in queue owner map
2014-08-15 11:19:27 [Security] notice ACL resource counter: Queue 'qpid.ha-tx:230050dd-28cf-4f09-a096-7df7ab404c7f' not found in queue owner map
2014-08-15 11:19:34 [Security] notice ACL resource counter: Queue 'qpid.ha-tx:a899c2fb-6be3-4e34-a9a5-16ab2f22d625' not found in queue owner map
2014-08-15 11:19:34 [Security] notice ACL resource counter: Queue 'qpid.ha-tx:c2a0d1b0-e355-4c76-a0b9-d7dcdb0f7479' not found in queue owner map
2014-08-15 11:19:34 [Security] notice ACL resource counter: Queue 'qpid.ha-tx:b9ecb26c-94cb-453b-9e18-da377d7d6587' not found in queue owner map


Expected results:

No ACL related messages

Additional info:

Comment 1 Alan Conway 2014-08-15 10:17:11 UTC
Trivial no-risk fix, removes a LOT of notice-level log clutter.

------------------------------------------------------------------------
r1618133 | aconway | 2014-08-15 12:01:28 +0200 (Fri, 15 Aug 2014) | 4 lines

NO-JIRA: HA Account for TX primary replication queues as HA user.

Previously they were not accounted which caused ACL notice messages.

------------------------------------------------------------------------

Comment 2 Alan Conway 2014-08-18 19:21:19 UTC
See https://issues.apache.org/jira/browse/QPID-6015 for a fast & deterministic reproducer. 

------------------------------------------------------------------------
r1618712 | aconway | 2014-08-18 15:18:31 -0400 (Mon, 18 Aug 2014) | 8 lines

QPID-6015: HA Python QMF console raises exception due to HA subscriptions.

One of the arguments in a HA subscription (qpid.ha-ids) is binary encoded data,
however it was being passed as a string type in the arguments map.  This caused
python qmf console clients to choke when they tried to utf-decode the data.

Fix is to pass the data using the vbin32 type which is intended for binary data.

------------------------------------------------------------------------

Comment 3 Frantisek Reznicek 2014-08-22 19:24:20 UTC
Issue has been fully fixed, tested on RHEL 6.5 i686 / x86_64 3-node HA clusters using packages:

6i HA:
  perl-qpid-0.22-13.el6.i686
  perl-qpid-debuginfo-0.22-13.el6.i686
  python-qpid-0.22-17.el6.noarch
  python-qpid-proton-0.7-3.el6.i686
  python-qpid-proton-doc-0.7-3.el6.noarch
  python-qpid-qmf-0.22-38.el6.i686
  qpid-cpp-client-0.22-47.el6.i686
  qpid-cpp-client-devel-0.22-47.el6.i686
  qpid-cpp-client-devel-docs-0.22-47.el6.noarch
  qpid-cpp-client-rdma-0.22-47.el6.i686
  qpid-cpp-debuginfo-0.22-47.el6.i686
  qpid-cpp-server-0.22-47.el6.i686
  qpid-cpp-server-devel-0.22-47.el6.i686
  qpid-cpp-server-ha-0.22-47.el6.i686
  qpid-cpp-server-linearstore-0.22-47.el6.i686
  qpid-cpp-server-rdma-0.22-47.el6.i686
  qpid-cpp-server-xml-0.22-47.el6.i686
  qpid-java-client-0.22-6.el6.noarch
  qpid-java-common-0.22-6.el6.noarch
  qpid-java-example-0.22-6.el6.noarch
  qpid-jca-0.22-2.el6.noarch
  qpid-jca-xarecovery-0.22-2.el6.noarch
  qpid-jca-zip-0.22-2.el6.noarch
  qpid-proton-c-0.7-3.el6.i686
  qpid-proton-c-devel-0.7-3.el6.i686
  qpid-proton-c-devel-doc-0.7-3.el6.noarch
  qpid-proton-debuginfo-0.7-3.el6.i686
  qpid-qmf-0.22-38.el6.i686
  qpid-qmf-debuginfo-0.22-38.el6.i686
  qpid-qmf-devel-0.22-38.el6.i686
  qpid-snmpd-1.0.0-16.el6.i686
  qpid-snmpd-debuginfo-1.0.0-16.el6.i686
  qpid-tests-0.22-16.el6.noarch
  qpid-tools-0.22-14.el6.noarch
  rh-qpid-cpp-tests-0.22-47.el6.i686
  ruby-qpid-qmf-0.22-38.el6.i686

6x HA:
  perl-qpid-0.22-13.el6.x86_64
  perl-qpid-debuginfo-0.22-13.el6.x86_64
  python-qpid-0.22-17.el6.noarch
  python-qpid-proton-0.7-3.el6.x86_64
  python-qpid-proton-doc-0.7-3.el6.noarch
  python-qpid-qmf-0.22-38.el6.x86_64
  qpid-cpp-client-0.22-47.el6.x86_64
  qpid-cpp-client-devel-0.22-47.el6.x86_64
  qpid-cpp-client-devel-docs-0.22-47.el6.noarch
  qpid-cpp-client-rdma-0.22-47.el6.x86_64
  qpid-cpp-debuginfo-0.22-47.el6.x86_64
  qpid-cpp-server-0.22-47.el6.x86_64
  qpid-cpp-server-devel-0.22-47.el6.x86_64
  qpid-cpp-server-ha-0.22-47.el6.x86_64
  qpid-cpp-server-linearstore-0.22-47.el6.x86_64
  qpid-cpp-server-rdma-0.22-47.el6.x86_64
  qpid-cpp-server-xml-0.22-47.el6.x86_64
  qpid-java-client-0.22-6.el6.noarch
  qpid-java-common-0.22-6.el6.noarch
  qpid-java-example-0.22-6.el6.noarch
  qpid-jca-0.22-2.el6.noarch
  qpid-jca-xarecovery-0.22-2.el6.noarch
  qpid-jca-zip-0.22-2.el6.noarch
  qpid-proton-c-0.7-3.el6.x86_64
  qpid-proton-c-devel-0.7-3.el6.x86_64
  qpid-proton-c-devel-doc-0.7-3.el6.noarch
  qpid-proton-debuginfo-0.7-3.el6.x86_64
  qpid-qmf-0.22-38.el6.x86_64
  qpid-qmf-debuginfo-0.22-38.el6.x86_64
  qpid-qmf-devel-0.22-38.el6.x86_64
  qpid-snmpd-1.0.0-16.el6.x86_64
  qpid-snmpd-debuginfo-1.0.0-16.el6.x86_64
  qpid-tests-0.22-16.el6.noarch
  qpid-tools-0.22-14.el6.noarch
  rh-qpid-cpp-tests-0.22-47.el6.x86_64
  ruby-qpid-qmf-0.22-38.el6.x86_64

-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.